class RoleTypeModel {
  final String uuid;
  final String createdAt;
  final String updatedAt;
  final String type;

  RoleTypeModel({
    required this.uuid,
    required this.createdAt,
    required this.updatedAt,
    required this.type,
  });

  factory RoleTypeModel.fromJson(Map<String, dynamic> json) {
    return RoleTypeModel(
      uuid: json['uuid'],
      createdAt: json['createdAt'],
      updatedAt: json['updatedAt'],
      type: json['type'].toString().toLowerCase().replaceAll("_", " "),
    );
  }
}
